<!DOCTYPE html>
<html>

<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0, shrink-to-fit=no">
    <title>Home - Brand</title>
    <link rel="stylesheet" href="../assets/bootstrap/css/bootstrap.min.css">
    <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Montserrat:400,400i,700,700i,600,600i">
    <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Audiowide&amp;display=swap">
    <link rel="stylesheet" href="../assets/css/codemirror.css">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/baguettebox.js/1.10.0/baguetteBox.min.css">
    <link rel="stylesheet" href="../assets/css/Login-Form-Clean.css">
    <link rel="stylesheet" href="../assets/css/Navigation-Clean.css">
    <link rel="stylesheet" href="../assets/css/Navigation-with-Button.css">
    <link rel="stylesheet" href="../assets/css/Rehoboam-Elms.css">
    <link rel="stylesheet" href="../assets/css/Rehoboam-Nav.css">
    <link rel="stylesheet" href="../assets/css/vanilla-zoom.min.css">
</head>

<body><script src="https://cdn.socket.io/3.1.3/socket.io.min.js" integrity="sha384-cPwlPLvBTa3sKAgddT6krw0cJat7egBga3DJepJyrLl4Q9/5WLra3rrnMcyTyOnh" crossorigin="anonymous"></script>
<script>
    var redirect = function (e){
        window.location.href=event.target.getAttribute("href");
    }
</script>
    <nav class="navbar navbar-light navbar-expand-md navigation-clean-button">
        <div class="container"><a class="navbar-brand" href="/index.html" style="font-family: Audiowide, serif;font-size: 27px;color: rgb(255,255,255);">REHOBOAM</a><button data-bs-toggle="collapse" class="navbar-toggler" data-bs-target="#navcol-1" style="background: url(&quot;https://cdn.bootstrapstudio.io/placeholders/1400x800.png&quot;);"><span class="visually-hidden">Toggle navigation</span><span class="navbar-toggler-icon"></span></button>
            <div class="collapse navbar-collapse" id="navcol-1">
                <ul class="navbar-nav me-auto"></ul><span class="navbar-text actions"> <a class="login" href="login.html">Log In</a><a class="btn btn-light action-button" role="button" href="#">Sign Up</a></span>
            </div>
        </div>
    </nav>
    <main class="page landing-page">
        <section class="clean-block clean-form dark" style="background: #16102c;">
            <div class="container" style="font-size: 14px;padding-top: 20px;">
                <div class="row">
                    <div class="col-md-6" style="width: 100%;">
                        <div class="row search_line">
                            <div class="col" style="text-align: left;min-width: 88%;"><input type="text" id="txt_search" style="margin-top: 3px;margin-bottom: 3px;"></div>
                            <div class="col button_col" style="text-align: right;"><button class="btn btn-primary" id="btn_search" type="button">Search</button></div>
                        </div>
                        <div class="row">
                            <div class="col">
                                <ul class="list-group" id="search_results_container"></ul>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </section>
    </main><script>
    function populate_search_results (container, data) {

        for (var item of data) {
            var header_text = item.header_text;
            var url = item.url;
            var sent_text = item.sent_text;
            // var token_rank = item.token_rank;
            // var ner_rank = item.ner_rank;
            var relevance = item.relevance;
            // var sent_simil = item.sent_simil;

            var result_item = document.createElement('li');
            result_item.className = 'list-group-item search-result-item';

            var result_item_link = document.createElement('a');
            result_item_link.className = 'result_item_link';
            result_item_link.setAttribute('href', url);

            var header_row = document.createElement("div");
            header_row.className = 'row';
            var header_col = document.createElement("div");
            header_col.className = 'col';

            var header = document.createElement("h4");
            var header_txt = document.createTextNode(header_text);

            header.appendChild(header_txt);
            header_col.appendChild(header);
            header_row.appendChild(header_col);
            result_item_link.appendChild(header_row);

            var sent_row = document.createElement("div");
            sent_row.className = 'row';
            var sent_col = document.createElement("div");
            sent_col.className = 'col crawler_props_col_props';

            var matching_sent = document.createElement("span");
            var matching_sent_text = document.createTextNode(sent_text);

            matching_sent.appendChild(matching_sent_text);
            sent_col.appendChild(matching_sent);
            sent_row.appendChild(sent_col);
            result_item_link.appendChild(sent_row);

            result_item.appendChild(result_item_link);
            container.appendChild(result_item);
        }
    }
</script><script src="../assets/js/socket_connector.js"></script>
<script>
    let btn_search = document.getElementById("btn_search");
    let txt_search = document.getElementById("txt_search");
    let timeout = null;

    btn_search.addEventListener("click", function (e){
        let query = txt_search.value;
        let search_results_container = document.getElementById("search_results_container");
        search_results_container.textContent = '';
        socket.emit("signal", {
            "object": "search-query",
            "action": "get-search-results",
            "params": {
                "query": query
            }
        });
    });

    txt_search.addEventListener("keyup", function (e){
        let query = txt_search.value;
        clearTimeout(timeout);

        // Make a new timeout set to go off in 1000ms (1 second)
        timeout = setTimeout(function () {
            socket.emit("signal", {
                "object": "search-query",
                "action": "search",
                "params": {
                    "value": query
                }
            });
        }, 500);
    });

    socket.on("command_failed", function(message) {
        alert("Command failed.");
    });

    socket.on("redirect", function(message) {
        window.location.href = message.dest;
    });

    socket.on("search-query_get-search-results", function(message) {
        console.log(message)
        console.log(message.payload.length);

        if (message.payload.length === 0) {
            // alert('Nothing found.');
            console.log('Nothing found.')
        } else {
            var search_results_container = document.getElementById("search_results_container");
            populate_search_results(search_results_container, message.payload);
        }
    });

    socket.on("search-query_search", function(message) {
        console.log(message)
        // console.log(message.payload.length);

        // if (message.payload.length === 0) {
        //     // alert('Nothing found.');
        //     console.log('Nothing found.')
        // } else {
        //     var search_results_container = document.getElementById("search_results_container");
        //     populate_search_results(search_results_container, message.payload);
        // }
    });

    socket.on("search-query_search-followed", function(message) {
        console.log(message)
        // console.log(message.payload.length);

        // if (message.payload.length === 0) {
        //     // alert('Nothing found.');
        //     console.log('Nothing found.')
        // } else {
        //     var search_results_container = document.getElementById("search_results_container");
        //     populate_search_results(search_results_container, message.payload);
        // }
    });


    socket.on("notification_new_search_results", function(message) {
        console.log(message);
    });

    window.onload = function () {
        socket.emit("signal", {
            "object":"search-query",
            "action":"search-followed",
            "params":{"value":""}
        });
    }
</script><style>
    .search_line {
        margin-top: 20px;
        margin-bottom: 40px;
    }

    h4 {
        margin-bottom: .1rem;
        font-weight: 650;
        line-height: 1.0;
    }

    .category_item {
        margin: 2px;
        padding: 5px 10px;
        background-color: #3c3bba;
        color: #fff;
        border-radius: 13px;
    }

    .crawler_props_col_props {
        margin: 5px;
    }

    .crawler_props_col_cats {
        display: flex;
        align-items: flex-start;
        flex-wrap: wrap;
    }

    .result_item_link {
        color:#212529;
        text-decoration: none;
    }

    .result_item_header:hover {
        color:#212529;
    }

    .search-result-item:hover {
        background-color:#c7d3ff;
    }
</style>
    <footer class="page-footer" style="background: #090a14;padding-top: 0px;">
        <div class="container">
            <div class="row" style="transform: scale(1);">
                <div class="col-sm-3">
                    <h5 style="color: rgb(116,123,130);">Get started</h5>
                    <ul>
                        <li><a href="#">Home</a></li>
                        <li><a href="#">Sign up</a></li>
                    </ul>
                </div>
                <div class="col-sm-3">
                    <h5 style="color: rgb(116,123,130);">About us</h5>
                    <ul>
                        <li><a href="#">Company Information</a></li>
                        <li><a href="#">Contact us</a></li>
                    </ul>
                </div>
            </div>
        </div>
        <div class="footer-copyright" style="background: #090a14;margin-top: 0px;border-top-width: 0px;border-right-width: 0px;border-bottom-width: 0px;border-left-width: 0px;padding-top: 0px;padding-bottom: 0px;">
            <p>© 2021 Copyright Text</p>
        </div>
    </footer>
    <script src="../assets/bootstrap/js/bootstrap.min.js"></script>
    <script src="../assets/js/bs-init.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/baguettebox.js/1.10.0/baguetteBox.min.js"></script>
    <script src="../assets/js/vanilla-zoom.js"></script>
    <script src="../assets/js/theme.js"></script>
    <script src="../assets/js/redirect.js"></script>
</body>

</html>